<template>
  <aside class="site-sidebar open">
    <div class="site-brand">
      <b-link to="./">
        <b-img-lazy :src="require( '@/assets/img/evos.png' )" />
      </b-link>
    </div>
    <div class="site-navigation">
      <b-nav vertical>
        <template v-for="nav in navs">
          <template v-if="nav.childs.length">
            <li class="nav-item dropdown" :key="nav.id">
              <b-link href="#" class="nav-link d-flex justify-content-between align-items-center dropdown-toggle">
                <span>
                  <i class="material-icons">{{ nav.icon }}</i>
                  <b-nav-text>{{ nav.name }}</b-nav-text>
                </span>
                <i class="material-icons position-relative mr-0" @click.prevent="openDropdown">keyboard_arrow_right</i>
              </b-link>
              <ul class="sub-menu">
                <template v-for="child in nav.childs">
                  <template v-if="child.childs.length">
                    <li class="nav-item dropdown" role="presentation" :key="child.id">
                      <b-link href="#" role="menuitem" target="_self" class="nav-link d-flex justify-content-between align-items-center dropdown-toggle">
                        <span>
                          <b-nav-text>{{ child.name }}</b-nav-text>
                        </span>
                        <i class="material-icons position-relative mr-0" @click.prevent="openDropdown">keyboard_arrow_right</i>
                      </b-link>
                      <ul class="sub-menu">
                        <template v-for="grandchild in child.childs">
                          <li class="nav-item" role="presentation" :key="grandchild.id">
                            <b-link :to="grandchild.url" role="menuitem" target="_self" class="nav-link">
                              <b-nav-text>{{ grandchild.name }}</b-nav-text>
                            </b-link>
                          </li>
                        </template>
                      </ul>
                    </li>
                  </template>
                  <template v-else>
                    <li class="nav-item" role="presentation" :key="child.id">
                      <b-link :to="child.url" role="menuitem" target="_self" class="nav-link">
                        <b-nav-text>{{ child.name }}</b-nav-text>
                      </b-link>
                    </li>
                  </template>
                </template>
              </ul>
            </li>
          </template>
          <template v-else>
            <b-nav-item :key="nav.id" :to="nav.url" link-classes="d-flex align-items-center" :title="nav.name">
              <span>
                <i class="material-icons">{{ nav.icon }}</i>
                <b-nav-text>{{ nav.name }}</b-nav-text>
              </span>
            </b-nav-item>
          </template>
        </template>
      </b-nav>
    </div>
  </aside>
</template>

<script>
import navs from '@/navs.js'
export default {
  name: 'Aside',
  data () {
    return {
      navs: navs.items
    }
  },
  methods: {
    openDropdown: function (e) {
      var element = e.target
      console.log(element.parentElement.nextSibling)
      element.parentElement.nextSibling.classList.toggle('d-block')
      element.classList.toggle('rotate-90')
    }
  }
}
</script>

<style lang="scss">
.material-icons.position-relative.mr-0 {
  z-index: 9;
  cursor: pointer;
}
</style>
